<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Services\File\BimService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class GlendaleController extends Controller
{
    public function callback(Request $request, BimService $bimService)
    {
        $data = $request->input('data', '');
        $arr = json_decode_arr($data);

        Log::info('glendale callback params:', $arr);

        $bimService->setGlendaleModelCovertStatus($arr['LightweightName'] ?? '', (int) ($arr['status'] ?? 0));

        return $this->success($arr);
    }
}
